directories:
  output: dist-fresh
  buildResources: assets
appId: com.abhishek.aitestframework
productName: AITestFramework
icon: assets/icon.ico
protocols:
  - name: ai-test-framework
    schemes:
      - ai-test-framework
asar: true
asarUnpack:
  - node_modules/playwright/**
  - node_modules/playwright-core/**
  - node_modules/@playwright/**
  - src/electron/renderer/renderer.js
extraResources: []
files:
  - filter:
      - config/
      - '!config/.env'
      - '!config/.env*'
      - config/**/*
      - src/**/*
      - scripts/**/*
      - tests/**/*
      - generated/**/*
      - uploads/**/*
      - exports/**/*
      - assets/**/*
      - package.json
      - node_modules/playwright/**/*
      - node_modules/playwright-core/**/*
      - node_modules/@playwright/**/*
      - '!**/*.map'
      - '!**/*.ts'
      - '!**/*.d.ts'
win:
  icon: assets/icon.ico
  target:
    - target: nsis
      arch:
        - x64
    - target: dir
      arch:
        - x64
  signAndEditExecutable: false
nsis:
  oneClick: false
  perMachine: true
  allowToChangeInstallationDirectory: true
  installerIcon: assets/icon.ico
  uninstallerIcon: assets/icon.ico
  installerHeaderIcon: assets/icon.ico
forceCodeSigning: false
removePackageScripts: false
removePackageKeywords: false
compression: store
afterPack: ./scripts/afterPack.js
electronVersion: 37.6.0
